libsdl2 14.04
2014-08-14 12:26 - eunbolt

Status: Closed Start date: 2014-08-14
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Defect

Target version:

Description
doomsday 1.15.0-build1311 Install via ubuntu software centre and it comes up with "dependency is not satisfiable: libsdI2"

here is waht is avalible to isntall

dave@theBeast:~$ sudo apt-get install libsd
libsdformat1 libsdI2-net-dev  libsdl-ocaml
libsdformati-dbg libsdl2-1tf-2.0-0 libsdl-ocaml-dev
libsdformat-dev  libsdI2-ttf-dbg  libsdl-pango1
libsdl1.2-dbg libsdI2-ttf-dev  libsdl-pango-dev
libsdl1.2debian  libsdl-console libsdl-perl

libsdl1.2-dev libsdl-console-dev libsdl-sge
libsdl2-2.0-0 libsdl-gfx1.2-4  libsdl-sge-dev
libsdl2-dbg libsdl-gfx1.2-dev  libsdl-sound1.2
libsdI2-dev libsdl-gfx1.2-doc  libsdl-soundi.2-dev
libsdl2-gfx-1.0-0 libsdl-gst libsdl-sound-gst

libsdl2-gfx-dbg  libsdl-image1.2  libsdl-stretch-0-3
libsdl2-gfx-dev  libsdl-image1.2-dbg libsdl-stretch-dev
libsdl2-gfx-doc  libsdl-image1.2-dev libsdl-ttf2.0-0
libsdl2-image-2.0-0 libsdl-image-gst libsdl-ttf2.0-dev
libsdl2-image-dbg libsdl-mixer1.2  libsdl-ttf-gst
libsdI2-image-dev libsdl-mixer1.2-dbg libsdo-api-java
libsdl2-mixer-2.0-0 libsdl-mixer1.2-dev libsdo-api-java-doc
libsdl2-mixer-dbg libsdl-mixer-gst  libsdp1
libsdl2-mixer-dev libsdl-net1.2 libsdpa-dev
libsdl2-net-2.0-0 libsdl-net1.2-dbg

libsdl2-net-dbg  libsdl-net1.2-dev

Installing via dpkg

@dave@theBeast:/tmp$ sudo dpkg --install doomsday_1.15.0-build1311_amd64.deb
[sudo] password for dave:

(Reading database ... 709870 files and directories currently installed.)

Preparing to unpack doomsday_1.15.0-build1311_amd64.deb ...

Unpacking doomsday (1.15.0-build1311) over (1.14.5-build1265) ...

dpkg: dependency problems prevent configuration of doomsday:

doomsday depends on libsdl2; however:

Package libsdI2 is not installed.

doomsday depends on libsdl2-mixer; however:

Package libsdI2-mixer is not installed.

dpkg: error processing package doomsday (--install):
dependency problems - leaving unconfigured

Processing triggers for man-db (2.6.7.1-1) ...

Processing triggers for bamfdaemon (0.5.1+14.04.20140409-Oubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils (0.22-1ubuntul) ...
Processing triggers for gnome-menus (3.10.1-Oubuntu?2) ...
Processing triggers for mime-support (3.54ubuntut) ...
Errors were encountered while processing:

doomsday

dave@theBeast:/tmp$ sudo apt-get install libsdl2-mixer
Reading package lists... Done
Building dependency tree

Reading state information... Done

Package libsdl2-mixer is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or

is only available from another source

E: Package 'libsdI2-mixer' has no installation candidate
dave@theBeast:/tmp$ @

History

#1 - 2014-08-14 16:53 - skyjake
- Tags set to Ubuntu

- Category set to Defect

- Assignee set to skyjake

- Target version set to 49

#2 - 2014-08-14 19:34 - skyjake

- Status changed from New to Feedback

#3 - 2014-08-14 19:35 - skyjake

If you're trying to install Doomsday's Ubuntu 12.04 .debs, you should also use the SDL2 packages from Michael Imamura's PPA. I'm using these
because 12.04 does not have SDL2.

There is a .deb built for Ubuntu 14.04 in my PPA, although the FMOD audio plugin isn't included there yet. This does use Ubuntu's system SDL2,
though, as 14.04 has it.

For 1.15 I'll probably upgrade the main .deb offered on dengine.net to be the 14.04 one.

#4 - 2014-11-03 14:26 - skyjake

Prebuilt packages are now for Ubuntu 14.04, so closing this issue.

#5 - 2014-11-03 14:26 - skyjake
- Status changed from Feedback to Closed

#6 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
